<?php
$LIG = v ( 'LIG' );
$Equipes = v ( 'Equipes' );
$nbEquipeParLigue = v ( 'nbEquipesParLigue' );
?>

<h1>Organisation des <?php
echo $LIG ['TNS_NB_POU'];
?> Ligues</h1>

<script type="text/javascript">
	<!--
		var enregistre = false;
	
		$(".a_trier").draggable({
			helper: 'clone',
			revert: 'invalid',
			stop: function(){
				$('#resultatEnregistrement').hide();
				enregistre = false;
				$('#poursuivre').attr("disabled","disabled");
			}
		});
		$(".a_trier").droppable({
			drop: function(event, ui) {
				var cpt = 0;
				$(ui.draggable).parent().children("li").each(function(i){
					if ( $(ui.helper).attr("id") != $(this).attr("id") ){
						cpt++;
					}
				});
				
				if ($(ui.draggable).parent().attr("class") ==  $(this).parent().attr("class") || cpt >= 2 ){
					$(this).parent().append($(ui.draggable));
				} else {
					alert("Merci de laisser au moins 2 équipe par ligue");
				}
			}
		});
		maj_liste = function(){
			
			var html = '';
			<?php
			for($i = 1; $i <= $LIG ['TNS_NB_POU']; $i ++) {
				?>$(".sort<?php
				echo $i;
				?>").each(function(i){
					$(this).children("li").each(function(i){
						html += $(this).children("a").attr("name")+',';
					});
				});
				$("#RENC_<?php
				echo $i;
				?>").attr("value",html);
				html = '';
				<?php
			}
			?>
		}
		maj_liste();
		$('#poursuivre').attr("disabled","disabled");

		
		enregistrer = function() {
			maj_liste();
			var dataString = $("#formLigue").serialize();
			//alert (dataString);return false;
			 $.ajax({
				    type: "POST",
				    url: "<?php
				    	echo href ( '', array ('controleur' => 'ligue', 'action' => 'organisation', 'params' => Routage::params () ), false, true );
					?>",
				    data: dataString,
				    success: function() {
				      $('#resultatEnregistrement').html('<input type="hidden" name="go" value="go" />')
						.append('<img src="<?php echo img('icons/tick.png',null,array(),true); ?>"> Enregistré !')
				      .hide()
				      .fadeIn(1500);
				      enregistre = true;
				      $('#poursuivre').removeAttr("disabled");
				    }
				  });
				  return false;
		}

		go = function(){
			if ( enregistre == false ){
				alert("merci d'enregistrer les modifications");
			} else {
				alert("poursuivre");
			}
			return false;
		}	
	-->
	</script>

<form id="formLigue" onsubmit="return poursuivre()" method="post"
	action="<?php
	echo href ( '', array ('controleur' => 'ligue', 'action' => 'organisation', 'params' => Routage::params () ), false, true );
	?>">
<input type="button" value="Enregistrer cette disposition" onClick="enregistrer();" />
<span id="resultatEnregistrement"></span>

<select name="allerretour">
	<option value="1">1 rencontre (aller simple)</option>
	<option value="2">2 rencontres (aller-retour)</option>
</select>
<input type="submit" name="submit" id="poursuivre" value="Démarrer les matchs" />
<table id="orga_rencontres" cellspacing="10">
	<tr>
		<?php
		for($j = 1; $j <= $LIG ['TNS_NB_POU']; ++ $j) {
			?>
			<th>Ligue <?php
			echo $j;
			?></th>
		<?php
		}
		?>
	</tr>
	<tr>
		<?php
		for($j = 1; $j <= $LIG ['TNS_NB_POU']; ++ $j) {
			?>
			<td style="vertical-align: top">
		<ul class="connectedSortable sortable sort<?php
			echo $j;
			?>">
			<?php
			foreach ( $Equipes [$j] as $Eq ) {
				?><li class="ui-state-highlight a_trier s<?php
				echo $j;
				?>"
				id="<?php
				echo $Eq ['EQI_CLE'];
				?>"><a
				name="<?php
				echo $Eq ['EQI_CLE'];
				?>" /><?php
				echo zk_equipe ( $Eq );
				?></li><?php
			}
			?>
			</ul>
		<input type="hidden" name="RENC[<?php
			echo $j;
			?>]"
			id="RENC_<?php
			echo $j;
			?>" value="" /></td>
		<?php
		}
		?>
	</tr>
</table>
</form>

<style type="text/css">
.sortable {
	list-style-type: none;
	margin: 0 auto;
	padding: 0;
}

.sortable li {
	display: block;
	padding: 5px;
}

.colonne {
	width: 300px;
	vertical-align: top;
}

.colonne input {
	width: 100%;
	margin: 0px;
	text-align: center;
}

.a_trier {
	font-size: 12px !important;
	width: 300px;
}
</style>

